JOOM::GALLERY::FORUM

JoomGallery 3.x JUX => Solved Topics: Migration => Topic started by: meanmom on 25-07-2013 04:44:15



Title: Can't get from Joomgallery 1.5.7. to 3.1
Post by: meanmom on 25-07-2013 04:44:15
Well, I had to try.  I have a huge number of photos in about 6 different categories in Joomgallery 1.5.7.  I'm migrating to Joomla 3.1.  The Joomla 3.1 system is set up and Joomgallery 3.1 is installed.  I've tried following the instructions listed here - http://webilicious.com.au/joomgallery-migration.  But when I click on the "Check" box in the migration tool, I get a blank page dead end.  Actually, I was surprised that the Migration Tool even installed on Joomla 3.1. 

I tried installing Joomgallery 2.5 into the Joomla 3.1 system but, of course, it wouldn't install. 

Sooo, how do I get my gallery from Joomgallery 1.5.7 to Joomgallery 3.1?  Do I have to create a Joomla 2.5 installation, install Joomgallery 2.5, migrate from there and then somehow transfer all that to my Joomla 3.1 site? 

Thank you for your help,
Debra


Title: Re: Can't get from Joomgallery 1.5.7. to 3.1
Post by: Chraneco on 25-07-2013 17:28:44
Hi,

Quote from: meanmom
Do I have to create a Joomla 2.5 installation, install Joomgallery 2.5, migrate from there and then somehow transfer all that to my Joomla 3.1 site?

Yes, that would be the correct way at the moment. Going from Joomla! 2.5 to Joomla! 3.1 is possible via a simple Update.

If I have enough time in the next few days I will publish a migration script for migrating from JoomGallery 1.5.7 directly to JoomGallery 3.1.

Regards
Chraneco


Title: Re: Can't get from Joomgallery 1.5.7. to 3.1
Post by: mellifica on 24-08-2013 23:00:59
Yes, that would be the correct way at the moment. Going from Joomla! 2.5 to Joomla! 3.1 is possible via a simple Update.

If I have enough time in the next few days I will publish a migration script for migrating from JoomGallery 1.5.7 directly to JoomGallery 3.1.

Regards
Chraneco
Hi Chraneco,
How much different are the 2.5 tables from the 3.1 tables? We have a live site running 3.1 and an old site with 1.5.7.
We created an additional 2.5 install and were able to succesfully migrate Joomgallery. However, we're having issues 'simply updating' Joomla (several server timeouts messing up the complete 2.5 install leaving us with a wrecked site).
I tried copying over the tables from the 2.5 install to the 3.1 site but then got the following error when trying to display an image:

Code:
1054 Unknown column 'p.password' in 'where clause' SQL=SELECT a.*, a.owner AS imgowner, c.* FROM prfx_joomgallery AS a,prfx_joomgallery_catg AS c,prfx_joomgallery_catg AS p WHERE a.id = 1822 AND a.published = 1 AND a.approved = 1 AND c.published = 1 AND c.cid = a.catid AND c.lft BETWEEN p.lft AND p.rgt AND p.cid != 1 AND a.access IN (1,1,5) AND c.access IN (1,1,5) AND p.access IN (1,1,5) AND (p.password = '' OR p.cid IN (0)) GROUP BY a.id HAVING COUNT(p.cid) >= c.level


Title: Re: Can't get from Joomgallery 1.5.7. to 3.1
Post by: mellifica on 25-08-2013 12:04:21
Trying the obvious seems to help:

  • p.password comes from prfx_joomgallery_catg AS p
  • prfx_joomgallery_catg is missing password field
  • add password field in table
  • hey presto! images now load

However, this table and other tables are missing more fields and I'm not sure if that will become a problem later. Can I simply add (/copy) all the missing fields without values or default values?

edit: I also added the other missing field from the _catg table and most importantly the missing fields from the _config table. Seems to do the trick!


Title: Re: Can't get from Joomgallery 1.5.7. to 3.1
Post by: Chraneco on 25-08-2013 19:06:30
Hi,

you can look up all the database changes in folder 'administrator/components/com_joomgallery/sql/updates/mysql' for all the versions and even use that queries for applying the changes to your site.

You should do the changes as close to the original ones as possible because otherwise you could get problems with the next update.

Regards
Chraneco


Title: Re: Can't get from Joomgallery 1.5.7. to 3.1
Post by: mellifica on 25-08-2013 21:06:03
Thanks! That's helpful information (had I waited a little longer it would have saved me the manual work!).
I checked and I only missed two changes, but I think it should be alright now.